%define name penguin-command
%define version 1.6.2
%define release 1mdk
%define summary A clone of the classic Missile Command game

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://www.linux-games.com/penguin-command/penguin-command-%{version}.tar.gz
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
URL: http://www.linux-games.com/penguin-command/index.html
License: GPL
Group: Games/Arcade
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRequires: libSDL-devel libSDL_mixer-devel libsmpeg-devel XFree86-devel audiofile-devel esound-devel libpng-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a clone of the classic "Missile Command" Game, but it has better
graphics and music. The gameplay has only been slightly modified. Penguin
Command is completely licensed under the GPL, excluding the music.

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Penguin Command" \
  longtitle="%{summary}"
EOF

install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%doc README NEWS COPYING AUTHORS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_mandir}/*/*

%changelog
* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.2-1mdk
- new version
- rebuild for libpng3
- fix obsolete-tag Copyright
- fix large-icon-not-in-package
- include man page

* Fri Jun 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-1mdk
- version 1.6.1

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.1-1mdk
- version 1.5.1
- new SDL

* Sun Apr 22 2001  Stew Benedict <sbenedict@mandrakesoft.com> 1.5.0-2mdk
- no kgcc for PPC

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.0-1mdk
- 1.5.0

* Wed Mar 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-7mdk
- change URL per request of author Karl Bartel <karlb@gmx.net>

* Sun Dec 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.2-6mdk
- fix BuildRequires

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-5mdk
- rebuild to follow new lib policy of SDL_mixer

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-4mdk
- remove binary-or-shlib-refines-rpath

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2-2mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-1mdk
- first package for Linux-Mandrake

